#include<bits/stdc++.h>
using namespace std;
int n,m=0;
int* a;
bool findMax(int start)
{
    int max=a[start],maxi=start;
    for(int i=start+1;i<n;i++)
    {
        if(max<a[i])
        {
            maxi=i;
            max=a[i];
        }
    }
    if(maxi!=start){
        swap(a[start],a[maxi]);
        return true;
    }else if(start==n-1){
        swap(a[n-2],a[n-1]);
        return true;
    }else  return false;
}
int main()
{
    scanf("%d",&n);
    a=(int*)malloc(n*sizeof(int));
    for(int i=0;i<n;i++)
    scanf("%d",&a[i]);
    while(!findMax(m)){
        m++;
    }
    for(int i=0;i<n;i++)
    printf("%d ",a[i]);
    return 0;
}